%define debug 0

%define build_for_ftp 0

%define strip_bin 0
%define final 0
%define rpm_clean 1

%define desktop_file 1
%define desktop_file_utils_version 0.2.93

Name: kdeartwork
Version: 3.1
Release: 3
Summary: Additional artwork (themes, sound themes, ...) for KDE
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Patch: kde-libtool.patch

%if %{build_for_ftp}
ExclusiveArch: %{ix86}
%endif

%if %{desktop_file}
BuildRequires:desktop-file-utils >= %{desktop_file_utils_version}
%endif

BuildRequires: perl
BuildRequires: kdelibs-devel >= %{version}-6
BuildRequires: kdebase-devel >= %{version}-6
BuildRequires: autoconf
BuildRequires: automake15
BuildRequires: libtool
BuildRequires: glibc-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: libstdc++-devel
BuildRequires: qt-devel >= 3.1.1
BuildRequires: xscreensaver

Obsoletes: %{name}-locolor
Obsoletes: %{name}-screensavers
Obsoletes: %{name}-kworldclock

Provides: %{name}-locolor
Provides: %{name}-screensavers
Provides: %{name}-kworldclock

Requires: kdelibs >= 6:%{version}-6
Requires: kdebase >= 6:%{version}-6
Requires: qt >= 1:3.1.1

%description
Additional artwork (themes, sound themes, icons, screensavers ...) for KDE

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1 -b .libtool

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

export PATH=`pwd`:$PATH
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-use-cxa-atexit"

%configure --with-qt-libraries=$QTDIR/lib

make %{?_smp_mflags}

%install
make install DESTDIR="$RPM_BUILD_ROOT"

# move desktop files back
pushd $RPM_BUILD_ROOT%{_datadir}/applnk
for i in `find . -name "More"`; do
   if /bin/ls $i/*.desktop >& /dev/null ; then
      pushd $i
      for j in *.desktop ; do
         grep "Hidden=true" $j >& /dev/null || mv -f $j ..
      done
      popd
   fi
done
popd

%if %{desktop_file}
mv $RPM_BUILD_ROOT%{_datadir}/applnk/System/ScreenSavers \
   $RPM_BUILD_ROOT%{_datadir}/apps/kscreensaver/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config %{_datadir}/config/*

%{_bindir}/*

%{_libdir}/kde3/plugins/styles/*
%{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la

%{_datadir}/apps/kwin/icewm-themes/*
%{_datadir}/apps/kwin/*.desktop
%{_datadir}/apps/kstyle/themes/*
%{_datadir}/sounds/*
%{_datadir}/wallpapers/*
%{_datadir}/icons/*
%{_datadir}/apps/kscreensaver/*.png
%{_datadir}/apps/kworldclock/maps/*

%if %{desktop_file}
%{_datadir}/apps/kscreensaver/ScreenSavers/*.desktop
%else
%{_datadir}/applnk/System/ScreenSavers/*.desktop
%endif

%changelog
* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of gcc path from dependency_libs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 final

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.4
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.3
- removed size_t check
- excluded ia64

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.2
- rc6

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- get rid of sub packages

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problems

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Fri Sep 13 2002 Than Ngo <than@redhat.com> 3.0.3-3.1
- Fixed to build on x86_64

* Mon Sep  2 2002 Than Ngo <than@redhat.com> 3.0.3-3
- Add BuildPrereq automake15

* Sun Aug 25 2002 Than Ngo <than@redhat.com> 3.0.3-2
- rebuild against new qt

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Fri Jul 19 2002 Than Ngo <than@redhat.com> 3.0.2-2
- Fixed screen saver issue

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Rebuild

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-3
- final

* Thu Jan 31 2002 Bernhard Rossenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.2
- Remove KBlankscreen, it's in kdebase

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020108.1
- Add missing files

* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020107.1
- Update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Update
